aboutsummaryrefslogtreecommitdiffstats
path: root/documentation/yocto-project-qs
diff options
context:
space:
mode:
authorScott Rifenbark <scott.m.rifenbark@intel.com>2010-10-22 10:47:29 -0700
committerRichard Purdie <rpurdie@linux.intel.com>2010-10-27 07:51:03 +0100
commitfd832c02ebfb0ce7e60b317adf8156e41523b3ca (patch)
tree1fbf9a9b3873c751950ee6fd6011d5085a9c8583 /documentation/yocto-project-qs
parent86384c162389d3ff31f971d3a585539dbc9ecb4c (diff)
downloadpoky-fd832c02ebfb0ce7e60b317adf8156e41523b3ca.tar.gz
poky-fd832c02ebfb0ce7e60b317adf8156e41523b3ca.tar.bz2
poky-fd832c02ebfb0ce7e60b317adf8156e41523b3ca.zip
Added package installation requirements.
Added commands to support package installation of RPM-based host systems to the example. Input based on feedback from Dirk. Signed-off-by: Scott Rifenbark <scott.m.rifenbark@intel.com>
Diffstat (limited to 'documentation/yocto-project-qs')
-rw-r--r--documentation/yocto-project-qs/yocto-project-qs.xml25
1 files changed, 22 insertions, 3 deletions
diff --git a/documentation/yocto-project-qs/yocto-project-qs.xml b/documentation/yocto-project-qs/yocto-project-qs.xml
index afffc02717..470118ee33 100644
--- a/documentation/yocto-project-qs/yocto-project-qs.xml
+++ b/documentation/yocto-project-qs/yocto-project-qs.xml
@@ -124,8 +124,8 @@
<title>The Linux Distribution</title>
<para>
- While this document assumes a Debian-based host system you can develop in the Yocto Linux environment using many other Linux distributions.
- For Debian-based systems we recommend you use the Ubuntu Release 10.04 or later.
+ This document assumes you are running a reasonably current Linux-based host system.
+ The examples work for both Debian-based and RPM-based distributions.
</para>
</section>
@@ -145,8 +145,27 @@
</literallayout>
<para>
+ The packages you need for an RPM-based host like Fedora are shown in these commands:
+ </para>
+
+ <literallayout class='monospaced'>
+ $ sudo yum groupinstall "development tools"
+ $ sudo yum install python m4 make wget curl ftp hg tar bzip2 gzip \
+ unzip python-psyco perl texinfo texi2html diffstat openjade \
+ docbook-style-dsssl sed docbook-style-xsl docbook-dtds \
+ docbook-utils sed bc glibc-devel ccache pcre pcre-devel quilt \
+ groff linuxdoc-tools patch linuxdoc-tools cmake help2man \
+ perl-ExtUtils-MakeMaker tcl-devel gettext chrpath ncurses apr \
+ SDL-devel mesa-libGL-devel mesa-libGLU-devel
+ </literallayout>
+
+ <para>
<emphasis>NOTE:</emphasis> Packages vary in number and name for other Linux distributions.
- For package requirements on other Linux distributions refer to the information found at <ulink url='http://wiki.openembedded.net/index.php/OEandYourDistro'>http://wiki.openembedded.net/index.php/OEandYourDistro</ulink>.
+ The commands here should work. We are interested, though, to learn what works for you.
+ You can find more information for package requirements on common Linux distributions
+ at <ulink url="http://wiki.openembedded.net/index.php/OEandYourDistro"></ulink>.
+ However, you should be careful when using this information as the information applies
+ to old Linux distributions that are known to not work with a current Poky install.
</para>
</section>